function Fr2_init(outfn)

setupScreen();

setupTask();

setupSave(outfn);

%
% Subfunctions
%

function setupScreen
global Fr2_mem;
Fr2_mem.screen = figure;
set(Fr2_mem.screen, 'KeyPressFcn', @Fr2_keypress);
set(Fr2_mem.screen, 'CloseRequestFcn', @Fr2_endTask);
s = get(0, 'ScreenSize');
set(Fr2_mem.screen, 'Position', [0, 0, s(4) / 2, s(4) / 2]);
xlim([-1, 1]);
ylim([-1, 1]);
axis off;

function setupTask
global Fr2_mem;

% Randomization: based on starting time (seconds)
c = clock;
rng(c(6));

% Task parameters
Fr2_mem.iTrial = 1;
Fr2_mem.nTrials = 10;
Fr2_mem.nCues = 6; % No-shock, shock (P = shockProbValid) x {Fi, Fl, ?}
Fr2_mem.nStims = 2; % Go / nogo

% Timing parameters [s]
Fr2_mem.taskStartTime = tic;
Fr2_mem.T = 0.15;
Fr2_mem.ITI = 0.5;
Fr2_mem.CueDuration = 0.25;
Fr2_mem.CSIvec = [0.5 1 1.5];
Fr2_mem.nCSI = length(Fr2_mem.CSIvec);
Fr2_mem.StimDuration = 0.25;
Fr2_mem.RespWindowDuration = 1.5;
Fr2_mem.FBDuration = 0.5;

% Action-related
Fr2_mem.actions = [Fr2_mem.taskStartTime 0];
Fr2_mem.accVec = [];
Fr2_mem.rtVec = [];
Fr2_mem.respButtons = {'f', 'j'};

% Task specific


% Reset function
Fr2_resetTrial;

function setupSave(outfn)
global Fr2_mem;
if exist('Log') ~= 7,
    mkdir('Log');
end;
outfn = ['Log/' outfn '.txt'];
Fr2_mem.outfn = outfn;
