function Fr2_redraw()

global Fr2_mem;

% Coordinate system: [-1, 1]

% Focus on figure
figure(Fr2_mem.screen);

% Clear
cla;
patch([-1 -1 1 1], [-1 1 1 -1], [0.9, 0.9, 0.9]);

% Background
inner_draw_background();

if Fr2_mem.in_Cue
    inner_draw_cue();
end;

if Fr2_mem.in_Stim
    inner_draw_stim();
end;

if Fr2_mem.in_Feedback
    inner_draw_feedback();
end;

% Debug info
inner_draw_info();

%
% Subfunctions
%

function inner_draw_background()
global Fr2_mem;
patch([-1 -1 1 1], [-1 1 1 -1], [0.9, 0.9, 0.9]);

function inner_draw_cue()
global Fr2_mem;
text(0, 0, ['Cue: ' num2str(Fr2_mem.cue)]);

function inner_draw_stim()
global Fr2_mem;
text(0, 0, ['Stim: ' num2str(Fr2_mem.stim)]);

function inner_draw_feedback()
global Fr2_mem;
text(0, 0, ['Feedback: ' num2str(Fr2_mem.acc)]);

function inner_draw_info()
global Fr2_mem;
text(-0.5, 0.95, ['Last action: ' num2str(Fr2_mem.resp) ', RT: ' num2str(Fr2_mem.RT) ', acc: ' num2str(Fr2_mem.acc)]);
text(-0.5, 0.5, ['Trial state: ' num2str(Fr2_mem.in_ITI) num2str(Fr2_mem.in_Cue) num2str(Fr2_mem.in_Stim) num2str(Fr2_mem.in_RespWindow) num2str(Fr2_mem.in_Feedback)]);
text(-0.5, -0.5, ['Trial nr: ' num2str(Fr2_mem.iTrial) ', time: ' num2str(Fr2_mem.timeNow)]);
